// Copyright  1991 by Apple Computer, Inc.  All rights reserved. 
// Eenie.r file.

// INCLUDES ---------------------------------------------------------------------------------
// Auto-Include the requirements for this source

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __SYSTYPES.R__
#include "SysTypes.r"				// needed for version resource
#endif		

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#if qTemplateViews
#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif
#endif

#if qDebug
include "Debug.rsrc";
#endif

#include "EenieRez.h"				// common header file for resource IDs


// RESOURCES -------------------------------------------------------------------------------

include "MacApp.rsrc";
include "Printing.rsrc";

include "cursor.rsrc";				// cursor resources

// include "views.rsrc";

// CODE ------------------------------------------------------------------------------------

include $$Shell("ObjApp")"Eenie" 'CODE';


// SIZE ------------------------------------------------------------------------------------

resource 'SIZE' (-1) {
	saveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	doesActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,				
	reserved,
	reserved,
	reserved,
	reserved,
#if qdebug
	450 * 1024,
	368 * 1024
#else
	300 * 1024,
	200 * 1024
#endif
};


// SEG! ------------------------------------------------------------------------------------

resource 'seg!' (256, purgeable) {
	{
		"GNonRes";
		"GSelCommand";
		"GTerminate";
		"GClose";
		"GDoCommand";
	}
};


// VERS ------------------------------------------------------------------------------------
// Get the default Version resources

include "Defaults.rsrc"  'vers' (1);				// application or file specific
include "Defaults.rsrc"  'vers' (2);				// overall package


// ALERTS AND DLOGS ------------------------------------------------------------------------

include "Defaults.rsrc" 'ALRT'	(phAboutApp);		// About window
include "Defaults.rsrc" 'DITL'	(phAboutApp);		// About contents
include "Defaults.rsrc" 'STR#'	(kDefaultCredits);	// credits


// ICONs and BUNDLEs -----------------------------------------------------------------------
// Get the default MacApp application icon and file reference

include "Defaults.rsrc"  'ICN#' (128);
include "Defaults.rsrc"  'FREF' (128);


// CMNUs -----------------------------------------------------------------------------------

include "Defaults.rsrc" 'CMNU' (mApple);			// grab the default Apple/File menus

resource 'CMNU' (mFile,
#if qNames
"mFile",
#endif
nonpurgeable) {
	mFile,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",
	{
	"New",				noIcon, "N",	noMark, plain, cNew;
	"Close",			noIcon, "W",	noMark, plain, cClose;
	"-",				noIcon, noKey,	noMark, plain, nocommand;
	"Quit",				noIcon, "Q",	noMark, plain, cQuit
	}
};



// MBARs -----------------------------------------------------------------------------------
// Displayed menus 

resource 'MBAR' (kMBarDisplayed,
#if qNames
"Windoid",
#endif
	purgeable) {
	{mApple; mFile}
};


// VIEWS - NEW VIEW TEMPLATES --------------------------------------------------------------

resource 'STR#' (706, "Window titles", purgeable) {
	{
	"Dependency and Adorner Test Program"
	}
};

resource 'STR#' (705, "Static Text text", purgeable) {
	{
	"Click in the views!"
	}
};

resource 'TxSt' (700, purgeable) {tsPlain, 9, black, "Geneva"};

resource 'View' (1002, "theWindow", purgeable) {MAThreeOh, 
	{
	ViewSignatureAndClassname
		{'wind', 525, "", 'WND1', enabled, noIdle, {}, MAThreeOh, 
		{50, 40}, {340, 320}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		AdornerListSignatureAndClassname {NoIdentifier, AdornerList, AdornerElementSize, AdornerElementSizeShift, 
		DynamicArrayAllocationIncrement, DynamicArrayClassSize, {
			AdornFirst, AdornerLocalObject {EraseAdorner}, 
			DrawView, AdornerLocalObject {DrawAdorner}}}, 0, 
		Window {documentProc, {24, 4, 876, 1788}, {80, 80, 852, 1792}, noID, goAwayBox, notResizable, ignoreFirstClick, 
			freeOnClosing, disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen, stagger, forceOnScreen, 
			dontCenter, doesntFloat, doesntHideOnSuspend, generateActivates, 0, 706, 1}, 5}, 
	ViewSignatureAndClassname
		{'view', 72, "TEenieView1", 'VW01', enabled, noIdle, {}, MAThreeOh, 
		{16, 16}, {144, 128}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, kCursor1, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		View {}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'view', 62, "TEenieView4", 'VW04', enabled, noIdle, {}, MAThreeOh, 
		{176, 176}, {144, 128}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, kCursor4, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		View {}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'view', 62, "TEenieView3", 'VW03', enabled, noIdle, {}, MAThreeOh, 
		{176, 16}, {144, 128}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, kCursor3, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		View {}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'view', 62, "TEenieView2", 'VW02', enabled, noIdle, {}, MAThreeOh, 
		{16, 176}, {144, 128}, sizeVariable, sizeVariable, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, kCursor2, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		View {}, 
		NoSubviews}, 
	ViewSignatureAndClassname
		{'stat', 96, "", 'VW06', notEnabled, noIdle, {}, MAThreeOh, 
		{0, 10}, {12, 90}, sizeFixed, sizeFixed, shown, doesntWantToBeTarget, 
		handlesCursor, letsSubViewsHandleCursor, noCursorID, 
		handlesHelp, letsSubViewsHandleHelp, noHelpID, 1, 
		NoDrawingEnvironment {}, 
		NoAdorners {}, 0, 
		StaticText {mStaticTextHit, Hilited, notDimmed, sizeable, noInset, 700, dontPreferOutline, 
		autoWrap, dontEraseFirst, justLeft, 705, 1}, 
		NoSubviews}
	}
};