// UEenie.h -----------------------------------------------------------------
// Copyright  1991 by Apple Computer, Inc. All rights reserved.

#pragma once

// INCLUDE FILES --------------------------------------------------------------

#include "IncludeFiles.h"


//FORWARD DECLARATIONS --------------------------------------------------------

class TEenieView;
class TEenieView1; class TEenieView2; class TEenieView3; class TEenieView4;


// GLOBALS --------------------------------------------------------------------

RGBColor gDKGray(18000, 22000, 25000);		// dark gray adorner color
RGBColor gDKPink(0xF8FF, 0x2666, 0xFFFF); 	// dark pink hilite color


// CLASS DEFINITIONS-----------------------------------------------------------

// TApplication ---------------------------------------------------------------

class TAdornerApplication : public TApplication {
public:
//	METHODS
	virtual pascal void 		IAdornerApplication(OSType fileType, OSType creator);
	virtual pascal TDocument* 	DoMakeDocument(CommandNumber, TFile*);
};


// TDocuments -----------------------------------------------------------------

class TAdornerDocument : public TDocument {
public:
//	METHODS
	virtual pascal void		IAdornerDocument();		// init Adorner doucument (if any)
	virtual pascal void 	DoMakeViews(Boolean /*forPrinting*/);
};


// TEenieView ----------------------------------------------------------------

class TEenieView  : public TView{
public:
// 	TYPEDEFS AND ENUMS
	enum   eViewChange {eVIEW1=700, eVIEW2, eVIEW3, eVIEW4};
	
//	METHODS
	virtual pascal void		Initialize();
	virtual pascal void		DoPostCreate(TDocument* itsDocument);
	virtual pascal void 	Hilite();
	
//	FIELDS
	long					fCounter;
};


class TEenieView1 : public TEenieView {
public:
//	METHODS
	virtual pascal void		Draw(const VRect& area);
	virtual pascal void 	DrawNumber();
	virtual pascal void		DoMouseCommand(	VPoint& theMouse,
								  			TToolboxEvent* event,
								  			Point hysteresis);
	virtual pascal void 	DoUpdate(	ChangeID theID,
										TObject* changedObject,
										TObject* changedBy);
};


class TEenieView2 : public TEenieView {
public:
//	METHODS
	virtual pascal void		Draw(const VRect& area);
	virtual pascal void 	DrawNumber();
	virtual pascal void		DoMouseCommand(	VPoint& theMouse,
								  			TToolboxEvent* event,
								  			Point hysteresis);
	virtual pascal void 	DoUpdate(	ChangeID theID,
										TObject* changedObject,
										TObject* changedBy);
};


class TEenieView3 : public TEenieView {
public:
//	METHODS
	virtual pascal void		Draw(const VRect& area);
	virtual pascal void 	DrawNumber();
	virtual pascal void		DoMouseCommand(	VPoint& theMouse,
								  			TToolboxEvent* event,
								  			Point hysteresis);
	virtual pascal void 	DoUpdate(	ChangeID theID,
										TObject* changedObject,
										TObject* changedBy);
};


class TEenieView4 : public TEenieView {
public:
//	METHODS
	virtual pascal void		Draw(const VRect& area);
	virtual pascal void 	DrawNumber();
	virtual pascal void		DoMouseCommand(	VPoint& theMouse,
								  			TToolboxEvent* event,
								  			Point hysteresis);
	virtual pascal void 	DoUpdate(	ChangeID theID,
										TObject* changedObject,
										TObject* changedBy);
};


// ADORNERS ------------------------------------------------------------------

class TGrayFill : public TAdorner {
public:
//	METHODS
	virtual pascal void Draw(TView*	itsView, const VRect& /*area*/); 
};


class TOtherGrayFill : public TAdorner {
public:
//	METHODS
	virtual pascal void Draw(TView*	itsView, const VRect& /*area*/); 
};


class TEtchedFrame : public TAdorner {
public:
//	METHODS
	virtual pascal void Initialize();	
	virtual pascal void Draw(TView*	itsView, const VRect& /*area*/);

//	FIELDS
	Point 				fInset;
};

// THE END -------------------------------------------------------------------

